> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/publishers/de/vast/vast-wrapper.md).

# VAST-Wrapper-Tag

## XML-Beispiel

```xml
<?xml version="1.0" encoding="UTF-8"?>
<VAST version="3.0">
    <Ad id="1111111">
        <Wrapper>
            <AdSystem>ExoClick</AdSystem>
            <VASTAdTagURI><![CDATA[https://external.adserver.com/xml?cid=1111111]]></VASTAdTagURI>
            <Impression id="exotr">
                <![CDATA[https://syndication.magsrv.com/vregister.php?a=vimp&tracking_event=impression&idzone=22222&data=abcd]]></Impression>
            <Error>
                <![CDATA[https://syndication.magsrv.com/vregister.php?a=vview&errorcode=[ERRORCODE]&idzone=22222]]></Error>
            <Creatives>
                <Creative sequence="1" id="12345">
                    <Linear>
                        <TrackingEvents>
                            <Tracking id="prog_1" event="progress" offset="00:00:10.000">
                                <![CDATA[https://syndication.magsrv.com/vregister.php?a=vview&tracking_event=progress&progress=00:00:10.000&idzone=22222&data=abcd]]></Tracking>
                        </TrackingEvents>
                        <VideoClicks>
                            <ClickThrough>
                                <![CDATA[https://syndication.magsrv.com/click.php?data=abcd]]></ClickThrough>
                        </VideoClicks>
                    </Linear>
                </Creative>
            </Creatives>
        </Wrapper>
    </Ad>
</VAST>
```

## Eigenschaften

| Option                                   | Erklärung                                                                                                                                                                                                                                                                                                                                       |
| ---------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `<?xml version="1.0" encoding="UTF-8"?>` | XML-Prolog mit festgelegter Version und Kodierung.                                                                                                                                                                                                                                                                                              |
| `VAST`                                   | Die von diesem Element verwendete VAST-Version                                                                                                                                                                                                                                                                                                  |
| `Wrapper fallbackOnNoAd`                 | Gibt an, dass sich innerhalb des Baums ein weiteres VAST-Element befindet. Wenn in den Einstellungen der Anzeigenzone „Video-Fallback“ aktiviert ist, gibt dies außerdem an, an welcher Position sich dieses Element in der VAST-Warteschlange befindet.                                                                                        |
| `VASTAdTagURI`                           | Dieses Element gibt einen URI zu einer sekundären VAST-Antwort an. Diese sekundäre Antwort kann ein weiterer Wrapper sein, aber letztendlich muss ein VAST-Wrapper ein `<InLine>` -Ad zurückgeben. Version 3 begrenzt die Anzahl der Wrapper-Weiterleitungen nicht. Ab Version 4 sind jedoch höchstens 5 VAST-Wrapper-Weiterleitungen zulässig. |
| `VideoClicks`                            | Element, mit dem festgelegt wird, was der Videoplayer tun soll, wenn der Nutzer während der Anzeige der Werbung direkt auf den Videoplayer-Bereich klickt. Wenn ein `<VideoClicks>` -Element angegeben ist, enthält es ein einzelnes untergeordnetes Element `<ClickTracking>` mit URI (oder ein `<ClickThrough>` im Fall eines VAST-Tags).     |
| `ClickTracking`                          | Element wird verwendet, um das `clickthrough` zu verfolgen, wenn die Creative-Datei die `clickthrough`.                                                                                                                                                                                                                                         |
| `Extension`                              | Zusätzliche Einstellungen, die vom Anzeigenserver bereitgestellt werden                                                                                                                                                                                                                                                                         |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.exoclick.com/publishers/de/vast/vast-wrapper.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
